/*
 *  Copyright 2006 The Apache Software Foundation or its licensors, as applicable.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package ORBTest_ExceptionsExt_2_0;

//
// IDL:ORBTest_ExceptionsExt_2_0/Intf:1.0
//
/***/

public interface IntfOperations
{
    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_PERSIST_STORE_Ex:1.0
    //
    /***/

    void
    op_PERSIST_STORE_Ex();

    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_FREE_MEM_Ex:1.0
    //
    /***/

    void
    op_FREE_MEM_Ex();

    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_INV_IDENT_Ex:1.0
    //
    /***/

    void
    op_INV_IDENT_Ex();

    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_INV_FLAG_Ex:1.0
    //
    /***/

    void
    op_INV_FLAG_Ex();

    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_INTF_REPOS_Ex:1.0
    //
    /***/

    void
    op_INTF_REPOS_Ex();

    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_BAD_CONTEXT_Ex:1.0
    //
    /***/

    void
    op_BAD_CONTEXT_Ex();

    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_TRANSACTION_REQUIRED_Ex:1.0
    //
    /***/

    void
    op_TRANSACTION_REQUIRED_Ex();

    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_TRANSACTION_ROLLEDBACK_Ex:1.0
    //
    /***/

    void
    op_TRANSACTION_ROLLEDBACK_Ex();

    //
    // IDL:ORBTest_ExceptionsExt_2_0/Intf/op_INVALID_TRANSACTION_Ex:1.0
    //
    /***/

    void
    op_INVALID_TRANSACTION_Ex();
}
